package rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/kalkulator")
public class Kalkulator {

    @GET
    @Path("/{a:\\d+}+{b:\\d+}")
    public int dodaj(@PathParam("a") int a, @PathParam("b") int b) {
        return a+b;
    }

    @GET
    @Path("/{a}-{b}")
    public int odejmij(@PathParam("a") int a, @PathParam("b") int b) {
        return a-b;
    }

    @GET
    @Path("/{a}*{b}")
    public int pomnoz(@PathParam("a") int a, @PathParam("b") int b) {
        return a*b;
    }

    @GET
    @Path("/{a}/{b}")
    public int podziel(@PathParam("a") int a, @PathParam("b") int b) {
        return a/b;
    }

}
